Update Company
const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.runmorph.dev/v1/resources/genericCompany/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.runmorph.dev/v1/resources/genericCompany/{resourceId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--header 'x-connector-id: <api-key>' \
--header 'x-owner-id: <api-key>' \
--header 'x-session-token: <api-key>' \
--data '
{
"name": "<string>"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/resources/genericCompany/{resourceId}"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("x-connector-id", "<api-key>")
req.Header.Add("x-owner-id", "<api-key>")
req.Header.Add("x-session-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/resources/genericCompany/{resourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-api-secret: <api-key>",
"x-connector-id: <api-key>",
"x-owner-id: <api-key>",
"x-session-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/resources/genericCompany/{resourceId}"
payload = { "name": "<string>" }
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"x-connector-id": "<api-key>",
"x-owner-id": "<api-key>",
"x-session-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.patch("https://api.runmorph.dev/v1/resources/genericCompany/{resourceId}")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("x-connector-id", "<api-key>")
.header("x-owner-id", "<api-key>")
.header("x-session-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();{
"object": "resource",
"model": "<string>",
"id": "<string>",
"remote": {
"id": "<string>"
}
}{
"message": ""
}Update Company
PATCH
/
v1
/
resources
/
genericCompany
/
{resourceId}
Update Company
const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.runmorph.dev/v1/resources/genericCompany/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Path Parameters
Query Parameters
Body
application/jsonapplication/jwttext/plain
⌘I